## ThunarPermissionsChooser ThunarPermissionsChooser |

## Functions

GtkWidget * | thunar_permissions_chooser_new ()

## Properties

ThunarxFileInfoList * | files | Read / Write
gboolean | mutable | Read

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ThunarPermissionsChooser

## Description

## Functions

### thunar_permissions_chooser_new ()

    GtkWidget *
    thunar_permissions_chooser_new (void);

Allocates a new ThunarPermissionsChooser instance.

#### Returns

the newly allocated ThunarPermissionsChooser.

## Property Details

### The `“files”` property

      “files”                    ThunarxFileInfoList *

files.

Owner: ThunarPermissionsChooser

Flags: Read / Write

### The `“mutable”` property

      “mutable”                  gboolean

Whether the current ThunarFiles permissions are mutable.

Owner: ThunarPermissionsChooser

Flags: Read

Default value: FALSE